solverl_plan_double Struct Reference

data structure for an inverse NFFT plan with long double precision More...

`#include <nfft3.h>`

Collaboration diagram for solverl_plan_double:
[legend]

## Data Fields

nfftl_mv_plan_double * | mv
| matrix vector multiplication
unsigned | flags
| iteration type
long double * | w
| weighting factors
long double * | w_hat
| damping factors
long double * | y
| right hand side, samples
long double * | f_hat_iter
| iterative solution
long double * | r_iter
| iterated residual vector
long double * | z_hat_iter
| residual of normal equation of first kind
long double * | p_hat_iter
| search direction
long double * | v_iter
| residual vector update
long double | alpha_iter
| step size for search direction
long double | beta_iter
| step size for search correction
long double | dot_r_iter
| weighted dotproduct of r_iter
long double | dot_r_iter_old
| previous dot_r_iter
long double | dot_z_hat_iter
| weighted dotproduct of z_hat_iter
long double | dot_z_hat_iter_old
| previous dot_z_hat_iter
long double | dot_p_hat_iter
| weighted dotproduct of p_hat_iter
long double | dot_v_iter
| weighted dotproduct of v_iter

## Detailed Description

data structure for an inverse NFFT plan with long double precision

Definition at line 783 of file nfft3.h.

The documentation for this struct was generated from the following file:

- nfft3.h